[alsa-devel] [PATCH] driver core: remove CONFIG_SYSFS_DEPRECATED

Douglas Gilbert dgilbert at interlog.com
Thu Jul 15 18:24:33 CEST 2010

On 10-07-15 09:29 AM, Konrad Rzeszutek Wilk wrote:
>>> and the box still won't boot.
>> The reason FC6 doesn't boot is there is a userspace tool
>> I believe in the initrd that cares about symlinks when it should
>> not.
> It is not just nash. Also multipathd would fail (as it expects
> the /sys/scsi_host/..<something>  in certain directories), and 'lsscsi'. There
> might be other tools that depend on libsysfs to be affected by this as well.

lsscsi has been "CONFIG_SYSFS_DEPRECATED_V2" tolerant
since version 0.21 released 20080710. The current
version is 0.23 released 20091201 which will soon
be displaced by 0.24 to cope with the most recent

Writing a user space tool that relies on sysfs structure
and contents, stable over the whole lk 2.6 series, is
impossible. For a history of my pain with lsscsi see
its ChangeLog.

Happily most of my tools are based on an ioctl! SG_IO
was a suggestion from Joerg Schilling and has now found
its way into most block devices. Now it has a new lease
of life in the bsg driver.

Doug Gilbert

More information about the Alsa-devel mailing list